# Retrieve A Video Entity

## /v1/video\_entities/:id

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/video_entities/:id`

#### Path Parameters

| Name | Type   | Description                                         |
| ---- | ------ | --------------------------------------------------- |
| id   | string | The identifier of the video entity to be retrieved. |

{% tabs %}
{% tab title="200 " %}
{% tabs %}
{% tab title="The Video Entity has not been published" %}

```
{
 "id": "f42b4ac3-869e-4010-8e21-042e40be7655",
 "name": "Sample Demo-Video",
 "description": "Lorem ipsum dolor sit amet, vis odio oratio scripserit ut",
 "short_description": "Duo ad graeci principes, legimus mnesarchum scribentur ut pro",
 "view": 1000,
 "poster": "Lorem ipsum dolor",
 "thumbnail": "Lorem ipsum dolor",
 "type": "VOD",
 "duration": 11213,
 "publish_to_cdn": "queue",
 "created_at": "2019-12-11T02:47:04Z",
 "updated_at": "2019-12-11T02:47:04Z"
}
```

{% endtab %}

{% tab title="The Video Entity is published successfully" %}

```
{
    "id": "77123e09-a30b-456b-b954-c16fe81f97f7",
    "name": "test 998",
    "description": "Entity for Test",
    "short_description": "",
    "view": 0,
    "poster": "",
    "thumbnail": "",
    "input_type": "UNKNOWNVODINPUTTYPE",
    "duration": 269.588,
    "publish_to_cdn": "success",
    "playback": {
        "hls": "https://dvr-playback-secure.uizadev.io/05bb5869-e134-4e9e-a2d2-de5c77dd182f/77123e09-a30b-456b-b954-c16fe81f97f7/master.m3u8",
        "hls_ts": "",
        "mpd": ""
    },
    "created_at": "2020-02-12T12:28:00Z",
    "updated_at": "2020-02-12T12:32:30Z"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400 " %}

```
{
 "message": "Your request is missing id parameter. Please, verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 " %}

```
{
 "message": "The video entity you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X GET https://api.uiza.sh/v1/video_entities/f42b4ac3-869e-4010-8e21-042e40be7655 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
```

{% endcode %}
